Macaulay2 » Documentation
Packages » Macaulay2Doc » commutative algebra » Gröbner bases » computing Groebner bases » gb » GroebnerBasis » target(GroebnerBasis)
next | previous | forward | backward | up | index | toc

# target(GroebnerBasis) -- find target of a Gröbner basis

- Function: target
- Usage:
    `target g`
- Inputs:
  - g, a Gröbner basis
- Outputs:
  - the target of the matrix given by the generators of the Gröbner basis

## Description

    i1 : R = ZZ/10007[x,y,z];

    i2 : g = gb ideal(x^2, x*y-z^2, z^5);

    i3 : target g

          1
    o3 = R

    o3 : R-module, free

## Ways to use this method:

- target(GroebnerBasis) -- find target of a Gröbner basis

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/target-doc.m2:29:0.